# boost::numeric::ublas::symmetric_adaptor< M, TRI >::iterator1 Class Reference

List of all members.

## Public Types
typedef subiterator1_type::value_type | value_type
typedef subiterator1_type::difference_type | difference_type
typedef subiterator1_type::reference | reference
typedef subiterator1_type::pointer | pointer
typedef iterator2 | dual_iterator_type
typedef reverse_iterator2 | dual_reverse_iterator_type
## Public Member Functions
BOOST_UBLAS_INLINE | iterator1 (self_type &m, const subiterator1_type &it1)
BOOST_UBLAS_INLINE iterator1 & | operator++ ()
BOOST_UBLAS_INLINE iterator1 & | operator-- ()
BOOST_UBLAS_INLINE iterator1 & | operator+= (difference_type n)
BOOST_UBLAS_INLINE iterator1 & | operator-= (difference_type n)
BOOST_UBLAS_INLINE difference_type | operator- (const iterator1 &it) const
BOOST_UBLAS_INLINE reference | operator* () const
BOOST_UBLAS_INLINE reference | operator[] (difference_type n) const
BOOST_UBLAS_INLINE iterator2 | begin () const
BOOST_UBLAS_INLINE iterator2 | end () const
BOOST_UBLAS_INLINE reverse_iterator2 | rbegin () const
BOOST_UBLAS_INLINE reverse_iterator2 | rend () const
BOOST_UBLAS_INLINE size_type | index1 () const
BOOST_UBLAS_INLINE size_type | index2 () const
BOOST_UBLAS_INLINE iterator1 & | operator= (const iterator1 &it)
BOOST_UBLAS_INLINE bool | operator== (const iterator1 &it) const
BOOST_UBLAS_INLINE bool | operator< (const iterator1 &it) const
## Friends
class | const_iterator1

### template<class M, class TRI>
class boost::numeric::ublas::symmetric_adaptor< M, TRI >::iterator1